Rygel.MediaItem – librygel-server Reference Manual

# MediaItem

## Object Hierarchy:

## Description:

public abstract class MediaItem : MediaObject

Represents a media item (Music, Video or Image).

These objects correspond to items in the UPnP ContentDirectory's DIDL-Lite XML.

All known sub-classes:

- AudioItem
- ImageItem

- MusicItem
- PhotoItem

- PlaylistItem
- VideoItem

Required by:

- TrackableItem

- VisualItem

Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public `string` mime_type { set; get; }
- public `string` dlna_profile { set; get; }
- public `int64` size { set; get; }
- public `bool` place_holder { set; get; }
- public `string` description { set; get; }
- public override `OCMFlags` ocm_flags { get; }

### Creation methods:

- public MediaItem (`string` id, MediaContainer parent, `string` title, `string` upnp_class)

### Methods:

- public virtual DataSource? create_stream_source (`string`? host_ip = null)
- public `bool` is_live_stream ()
- public abstract `bool` streamable ()
- protected virtual `ProtocolInfo` get_protocol_info (`string`? uri, `string` protocol)
- protected virtual void add_resources (`DIDLLiteItem` didl_item, `bool` allow_internal) throws `Error`

### Fields:

- protected static `Regex` address_regex

### Inherited Members:

All known members inherited from class Rygel.MediaObject

- id
- ref_id
- upnp_class
- date
- creator
- modified
- object_update_id
- artist

- genre
- parent
- parent_ref
- title
- ocm_flags
- get_uris
- get_primary_uri
- add_uri

- constructed
- get_writable
- get_writables
- serialize
- compare_string_props
- compare_int_props
- parent_ptr

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count